#    <CustomTools>
#      <Menu>
#       <Item name="Display Imaris ID" icon="Python">
#         <Command>PythonXT::XTDisplayImarisId(%i)</Command>
#       </Item>
#      </Menu>
#    </CustomTools>

import ImarisLib
import Tkinter

def __msgbox(aText):
        vTk = Tkinter.Tk()
        vTk.wm_title("XTDisplayImarisId")
        vWidget = Tkinter.Label(vTk, text = aText, justify = 'left', padx = 10, pady = 10)
        vWidget.pack()
        vTk.mainloop()
        
def XTDisplayImarisId(aImarisId):
        vText = 'Imaris id is %i\n\nList of all running applications: ' % aImarisId
        vImarisLib = ImarisLib.ImarisLib()
        vServer = vImarisLib.GetServer()
        for vIndex in range(vServer.GetNumberOfObjects()):
                vId = vServer.GetObjectID(vIndex)
                vApp = vImarisLib.GetApplication(vId)
                vVersion = vApp.GetVersion()
                vFileName = vApp.GetCurrentFileName()
                if len(vFileName) == 0:
                        vFileName = '(No image loaded)'
                vText = '%s\nId %i: %s\n-> %s\n' % (vText, vId, vVersion, vFileName)
        __msgbox(vText)

